clear all;
clc;

inputTimeSeries = [1.2, 2.4, 3.0, 4.8, 3.3, 2.7, 2.5, 2.4, 3.2, 5.0];
fw_start = 1;
fw_end = 10; 
params.c = 'default';
params.p = 2;
params.q = 2;
params.faiArray = [-0.8, -0.2];
params.thetaArray = [0.4, -0.3];
diffOrder = 1;

[predictionArray, errorArray, MSE, RMSE] = ARIMA_App(inputTimeSeries, fw_start, fw_end, params, diffOrder, 1);

t=1:1:10;
plot(t, inputTimeSeries, t, predictionArray);
xlabel('Time interval index');
ylabel('Data value');
legend('Actual data', 'Fitted data');


